Update Shipping Carrier
The “update Shipping Carrier” API allows update a shipping carrier to the system.
PUT
/
store
/
shipping-carrier
/
{shippingCarrierId}
Update Shipping Carrier
curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId} \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
name: 'FedEx',
callbackUrl: 'https://example.com/get-shipping-rates',
services: [
{
name: 'Priority Mail Express International',
value: 'PriorityMailExpressInternational'
}
],
allowsMultipleServiceSelection: true
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Update Shipping Carrier
curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId} \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
name: 'FedEx',
callbackUrl: 'https://example.com/get-shipping-rates',
services: [
{
name: 'Priority Mail Express International',
value: 'PriorityMailExpressInternational'
}
],
allowsMultipleServiceSelection: true
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}